Skip to main content
Back to API List To fetch debug logs of a specific conversation.
FieldValue
MethodGET
Endpointhttps://{{host}}/api/{{version}}/{{BotID}}/debuglogs?identity={{identity}}&channelType={{channelType}}&minimumInfo=true&limit=5&offset=300&timezone={{timezone}}
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeApp Builder: Debug Logs; Admin Console: Not Applicable

Path Parameters

ParameterDescription
hostEnvironment URL, for example, https://platform.kore.ai.
BotIDBot ID. Access it from the General Settings page of the bot.

Sample Request

curl -X GET \
   'https://{{host}}/api/1.1/{{BotID}}/debuglogs?identity={{id}}&channelType=ivrVoice&minimumInfo=true&limit=5&offset=300&timezone=America/New_York' \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}'

Query Parameters

ParameterDescription
versionAPI version. The current version is 1.1.
identityThe channel-specific user identifier.
channelTypeThe channel type for which to fetch logs.
minimumInfoSet to true to return minimal information.
limitNumber of records to return.
offsetNumber of records to skip.
timezoneTimezone for the log timestamps, for example, America/New_York.